# [Community Code of Conduct](https://camunda.com/events/code-conduct/)

Our awesome community is what makes us who we are. We’re extremely proud that our community members come from all around the world and from various
backgrounds. We want to provide each and every one of you with a consistently great experience, so we created this Community Code of Conduct. We want to
ensure that mutual support will always be guaranteed and that we create an environment in which we can grow together.

## Scope

We expect all members of the Camunda community, including administrators, users, facilitators, and vendors to abide by this Code of Conduct at all times.

The Camunda Code of Conduct applies to all Camunda events. This includes official Camunda events, such as CamundaCon, Camunda Process Automation Forums, Camunda meetups, trainings, workshops, and unofficial Camunda events.

The Camunda Community Code of Conduct also applies to any Camunda online space. This includes Slack workspaces, discussion forums, websites, code repositories, mailing lists and more. The Camunda Community Code of Conduct also applies to private correspondence between community members through our online spaces.

We trust all of our community members will help to create a safe and welcoming environment for everyone.

## Our Standards

We are dedicated to providing a harassment-free community space for everyone, regardless of gender, gender identity and expression, sexual orientation, disability, physical appearance, body size, ethnicity, age, physical appearance, religion or similar personal characteristics.

We do not tolerate harassment of other Camunda users in any form, whether publicly or privately. Harassment includes, but is not limited to: harmful or prejudicial verbal or written comments, inappropriate use of nudity, sexual images, and/or sexually explicit language in public spaces; threats of physical or non-physical harm; deliberate intimidation, stalking or following; harassing photography or recording; sustained disruption of talks or other events; inappropriate physical contact; and unwelcome sexual attention.

In addition, any spamming, trolling, flaming, baiting, or other attention-stealing behaviour is not welcome, and will not be tolerated.

## Community Guidelines

We have put together a few guidelines that we ask community members to adhere to. By being explicit about them, we want to ensure that the Camunda community continues to be a supportive place for everyone:

* **Mutual respect:** No matter if you are an administrator, user, facilitator or vendor – please beware of inappropriate behavior and wording at any time. Camunda stands for open communication, respectful interaction and transparency – please keep that in mind, as we strive for an inspiring environment where every single member and participant feels welcome.
* **Effective communication:** “To effectively communicate, we must realize that we are all different in the way we perceive the world and use this understanding as a guide to our communication with others” (Tony Robbins). By listening to understand rather than to respond, we will create a highly productive environment where all community members, no matter what language or background, will be able to communicate effectively.
* **Mindfulness:** Please be mindful of the space, as well as people and their actions around you. We always co-create and every single action can have a major impact on the event or even the community. To create this safe, supportive and highly productive space we need to work together and hold each other accountable.
* **Request and provide support:** Our online as well as offline platforms are meant to support exchange and mutual help. Please be open with your requests and questions as there is a good chance not only you, but the whole community can benefit from starting the conversation. In return, please be open to share your knowledge and experience to be an active member of the community.
* **No tolerance for harassment:** We do not tolerate harassment of other Camunda community members in any form, whether publicly or privately. See above (our standards) for further specification of types of harassment.

## Reporting Violations

Harassment and other code of conduct violations reduce the value of our community for everyone. We want you to be happy when engaging with the broader Camunda community .

If someone makes you or anyone else feel unsafe or unwelcome, [report it as soon as possible](https://camunda.com/events/code-conduct/reporting-violations/), to help us make the community a better place Please include as much detail as possible in your report as it is easier for us to address issues when we have more context.

## Violations to the Community Code of Conduct

Harassment and unacceptable behavior from any community member, including employees, sponsors, customers, partners, event organizers, or others with decision-making authority, will not be tolerated.

Anyone asked to stop unacceptable behavior is expected to comply immediately. If a community member engages in unacceptable behavior, the Camunda administrators may take any action they deem appropriate, up to and including a temporary or permanent ban from the community without warning and without refund in the case of a paid event or service.
